# Abstract
## Background
Like most animals, insects rely on their highly sensitive olfactory systems for survival.
Olfaction plays a primary role in finding food and mates as well as in the avoidance of noxious chemicals and predators.
Insect olfactory neurons typically express an odor-specific odorant receptor (OR) along with Orco, the olfactory co-receptor.
Orco binds ORs and permits their trafficking to the ciliated dendrites of antennal olfactory sensory neurons (OSNs), where together, they form heteromeric, ligand-gated, non-selective cation channels.
Orco is highly conserved across insect orders, and one particularly well-conserved region of Orco is predicted to be a Calmodulin (CaM) binding site (CBS).
In this study, we explore the relationship between Orco and CaM _in vivo_ in the olfactory neurons of _Drosophila melanogaster_. 

## Results
OSN-specific knock-down of CaM at the onset of OSN development dramatically reduces olfactory responsiveness and Orco trafficking to OSN dendrites without affecting OSN morphology.
We next generated a series of Orco CBS mutants and used them to rescue the _Orco<sup>1</sup>_ null mutant.
While wild type Orco rescues the _Orco<sup>1</sup>_ defect in trafficking ORs to OSN dendrites, all of the Orco CBS mutants remain stuck in the OSN cell bodies, precluding even the smallest odor-evoked response.
Finally, we found CaM's modulation of OR trafficking is activity-dependent.
Knock-down of CaM in all Orco-positive OSNs after OR expression is well-established has relatively little effect on olfactory responsiveness alone.
When combined with an extended exposure to a given odor, however, this late-onset CaM knock-down dramatically reduces both olfactory sensitivity and dendritic Orco trafficking only in OSNs that respond to that specific odor.

## Conclusions
In this study, we show Calmodulin regulates OR trafficking and olfactory responsiveness _in vivo_ in _Drosophila_ olfactory neurons via a highly conserved binding site on the olfactory co-receptor Orco.
As CaM's modulation of Orco seems to be activity-dependent, we propose a model in which the CaM/Orco interaction allows insect OSNs to maintain appropriate dendritic levels of OR regardless of environmental odor concentration.