# Background
Vertebrates and invertebrates alike use their sense of smell to find food and mates as well as to avoid danger.
In _Drosophila_, volatile odorants are detected by odorant receptors (ORs) expressed in olfactory sensory neurons (OSNs) \cite{Clyne_1999,Vosshall_1999}.
These OSNs are housed, generally in pairs, within sensory hairs called sensilla that cover the maxillary palps and third antennal segments \cite{de_Bruyne_2001}.

Most OSNs express only two odorant receptors---one odor-specific OR and the olfactory co-receptor Orco \cite{Larsson_2004}.
While each of the odor-specific ORs is expressed in a stereotyped subset of OSNs \cite{Couto_2005, Fishilevich_2005}, Orco is expressed in nearly all OSNs and is required for the trafficking of odor-specific ORs to the ciliated OSN dendrites \cite{Larsson_2004,Benton_2006}.
Although insect ORs have seven transmembrane domains and appear superficially similar to GPCRs, they have a unique, inverted membrane topology with cytoplasmic N-termini \cite{Benton_2006}.
Rather than functioning like traditional GPCRs, Orco binds odor-specific ORs to form heteromeric odor-gated non-selective cation channels \cite{Sato_2008, Wicher_2008}.
The various odor-specific ORs diverge greatly within and across insect species, providing each species with an olfactory repertoire that is adapted to its particular ecology and odor environment.
Orco, on the other hand, has been functionally conserved over more than 250 million years of insect evolution, underscoring its central importance in olfaction.
Even in species as distantly related as mosquitos and moths, Orco orthologues show up to 70% identity \cite{Jones_2005}.

One of the most highly conserved portions of Orco contains a short sequence that is strongly predicted to bind Calmodulin \cite{12836676}. Calmodulin (CaM) is a highly conserved protein of about 150 amino acids that is ubiquitously expressed in eukaryotes \cite{Klee_1982,Finn_1995}.
CaM contains four EF-hand domains that permit it to undergo conformational changes upon binding Ca<sup>2+</sup> ions.
These conformational changes allow CaM to interact with its target proteins, modulating their function \cite{LaPorte_1980, Yap_1999, 11955428}.
Thus, CaM acts as a sensor that transduces changes in intracellular Ca<sup>2+</sup> to changes in the function or activity of its target proteins.
These target proteins include a wide range of enzymes, cell surface receptors, ion channels, and even structural proteins \cite{Cheung_1980, Chin_2000}.

The presence of a strong candidate CaM binding site (CBS) within Orco coupled with the fact that odor-evoked activity in olfactory neurons increases intracellular Ca<sup>2+</sup> \cite{Wang_2003}, made us curious about the physiological relationship between Orco and CaM.
Although two recent studies using _in vitro_ and _ex vivo_ preparations with pharmacological inhibitors provided evidence that CaM modulation does affect olfactory responses \cite{Mukunda_2014, Mukunda_2016}, these experiments were limited in their ability to clarify CaM's _in vivo_ relationship with Orco in insect olfactory neurons as they respond to odors.

We, therefore, decided to both alter CaM expression at various times during OSN development and generate mutant versions of Orco incapable of binding CaM.
We then measured odor-evoked responses with _in vivo_ extracellular recordings and performed experiments to visualize OSN morphology and OR localization.
In doing so, we have demonstrated a clear role for CaM in the _Drosophila_ olfactory system as a modulator of Orco-mediated OR trafficking to OSN dendrites and, therefore, of olfactory sensitivity.
We further found CaM's modulation of OR trafficking is OSN activity-dependent, meaning OSNs strongly stimulated by environmental odors show larger defects in olfactory sensitivity upon CaM loss-of-function.
We, therefore, speculate CaM's sensitivity to intracellular Ca<sup>2+</sup> levels allows it to enhance Orco-mediated OR trafficking in times of need.
