# Results
To explore CaM's relationship with Orco and olfactory responses _in vivo_, we first wanted to knock-down CaM in _Drosophila_ OSNs as early as possible in their development.
To accomplish this, we combined a _UAS-CaM-IR_ (inverted repeat) transgene with the peripheral sensory neuron driver _Pebbled-GAL4_.
Although it is also expressed in larvae, _Pebbled-GAL4_ expression begins in nascent OSNs 12--18 hours after puparium formation (APF), long before the earliest OR expression begins at around 50 hours APF \cite{Sweeney_2007}.
The combination of _Pebbled-GAL4_ with _UAS-CaM-IR_ (_Peb-G4>CaM-IR_), however, induces pupal lethality (data not shown).
To bypass this lethality, we used the ubiquitously expressed, temperature-sensitive _tubulin-GAL80<sup>ts</sup>_ to limit expression of the CaM-IR transgene until the pupal stage when the OSNs are being born.
Thus, we set up and maintained the experimental flies (_Peb-G4, G80<sup>ts</sup>>CaM-IR_) and their appropriate controls at 18ºC, where GAL80 is actively suppressing GAL4.
Then, to allow GAL4 to begin driving CaM knock-down, we moved the flies to 29ºC at 0--12 hours APF when OSN development begins \cite{Jefferis_2002} (Fig. 1A).
We then stained the antennae of these flies with an Orco-specific antibody 10 days post-eclosion.
While flies kept at 18ºC ("CaM-IR OFF") show normal levels of Orco in both the cell bodies and sensory dendrites, flies kept at 29ºC ("CaM-IR ON") show dramatically less Orco staining, particularly in the ciliated OSN dendrites (Fig. 1B and C).
Importantly, this reduction in dendritic Orco occurs despite normal dendritic morphology, confirmed via visualization of a co-expressed membrane-tethered myristoylated GFP (myR::GFP) (Fig.1C, magnified image).

Since Orco is required for the trafficking of odor-specific ORs to the dendrites where they bind odorants and for odor-evoked signal transduction, we expected the reduction of Orco trafficking induced by CaM knock-down would also affect olfactory responsiveness.
We, therefore, used sharpened tungsten electrodes to record the responses of individual large basiconic antennal sensilla.
While "CaM-IR OFF" sensilla show normal spontaneous activity (Fig. 1D), more than 50% of the "CaM-IR ON" sensilla are silent, completely lacking spontaneous or odor-evoked action potentials (Fig. 1E-F).