Next, we used _Orco-GAL4_ to drive OSN-specific expression of each _UAS-Orco_ transgene in the _Orco<sup>1</sup>_ null mutant background.
As expected, by visualizing its N-terminal mCherry tag, we found Orco<sup>WT</sup> is expressed well and localized normally to both the OSN cell bodies and sensory dendrites (Fig. 3A, left).
A membrane-tethered GFP also revealed normal dendritic morphology (Fig. 3A, right).
When we attempted to visualize the N-terminal mCherry tags of the three Orco CBS mutants at the same confocal settings we used for Orco<sup>WT</sup>, however, we observed much lower signal levels in the OSN cell bodies (Fig. 3C, E, and G, insets).
By boosting the signal strength, it became clear all three Orco CBS mutants are stuck in the OSN cell bodies, unable to traffic to the sensory dendrites (Fig. 3C, E, and G, left).
Importantly, in all three cases, we confirmed proper dendritic localization of a membrane-tethered GFP, indicating the defect in Orco localization is not due to changes in OSN morphology (Fig. 3C, E, and G, right).
Since all four Orco cDNAs were cloned in the same way and inserted into the same genomic location, we expect the reduced signal coming from the Orco CBS mutants is a result of increased protein degradation rather than differences in expression.

Because Orco is neccessary for the dendritic localization of odor-specific ORs, we next asked whether the Orco CBS mutants can support OR localization.
To address this, we again used _Orco-GAL4_ to drive OSN-specific expression of each version of Orco along with EGFP-tagged Or47a in the _Orco<sup>1</sup>_ mutant background.
While Or47a localization is normal in flies expressing Orco<sup>WT</sup> (Fig. 3B), it is stuck in the cell bodies of OSNs expressing any of the three Orco CBS mutants (Fig. 3D, F, and H).
In all of these images, we stained for the presence of the EGFP tag on Or47a, inverting the colors to improve dendrite visibility.
Since none of the Orco CBS mutants can support dendritic OR localization, it is unsurprising that antennae expressing them are just as electrophysiologically non-responsive as those of the _Orco<sup>1</sup>_ mutant flies (data not shown).

It is possible mutations in the Orco CBS disrupt the three-dimensional structure of Orco, meaning the defect in OR trafficking we observed is due simply to a lack of functional Orco rather than a specific disruption of Orco's ability to bind CaM.
This is unlikely, however, because all three Orco CBS mutants---including the single amino acid deletion Orco<sup>W341Δ</sup>---produce the same phenotype.
We also found that all three Orco CBS mutant transgenes produce proteins _in vivo_ with structures normal enough that they can be recognized by Orco-specific antibodies (data not shown).
In addition, heterologous cells expressing a similar Orco mutant with a single amino acid substitution in its CBS (Orco<sup>K339N</sup>) respond to a non-odorant Orco agonist, albeit more weakly than cells expressing wild type Orco \cite{Mukunda_2014}.
Finally, and in summary, the similarity of our results with these Orco CBS mutants to the loss of Orco trafficking and odor-evoked responses we observed upon CaM knock-down strongly supports a role for CaM in the modulation of dendritic Orco/OR trafficking.
