We were curious how this role in Orco/OR trafficking could fit with CaM's role as a calcium sensor, especially considering how odor exposure induces action potentials and action potentials increase intracellular calcium.
It seems counter-intuitive that odor activation could enhance OR trafficking given the phenomena of sensory adaptation and behavioral habituation.
Sensory adaptation occurs within OSNs, rapidly reducing their firing frequencies upon continuous or repeated odor stimulation and reducing the magnitude of subsequent electrophysiological responses to the same or similar odors.
This type of adaptation lasts on the order of seconds to minutes \cite{Stortkuhl_1999} and is specific to individual OSN subtypes and the ORs they express \cite{de_Bruyne_1999}.
Unfortunately, the molecular mechanisms of sensory adaptation in _Drosophila_ are not yet well-understood, but it likely involves OR post-translational modification, degradation, or internalization as is the case in the mammalian olfactory system \cite{Mashukova_2006}.
Olfactory habituation, on the other hand, is characterized by a long-lasting reduction in odor-evoked _behavioral_ responses following long-term exposure to high concentrations of identical or similar odorants. 
According to the literature, olfactory habituation stems mainly from changes in the activity of lateral inhibitory interneurons in the antennal lobes that alter the projection neuron output into higher brain centers, rather than via changes in the OSNs themselves \cite{Larkin_2010, Das_2011}.
Interestingly, although flies exposed to high concentration (10<sup>-1</sup>) benzaldehyde for 4 days show strong behavioral habituation for days post-exposure, their peripheral electrophysiological responses to benzaldehyde are normal only one day later \cite{Devaud_2001}.
Thus, upon continuous odor stimulation, OSNs experience peripheral adaptation and as this exposure becomes more prolonged, it induces central habituation.
At some point during or after a long-term odor exposure, though, peripheral sensitivity returns to normal even though flies still show reduced behavioral responses.
We, therefore, wondered if CaM may contribute to maintaining olfactory sensitivity in the antenna upon prolonged odor exposure by maintaining adequate levels of OR in the OSN dendrites in an activity-dependent manner.
This would be somewhat analogous to CaM's neuronal activity-dependent regulation of the CaM-dependent protein kinases (CaMKs) \cite{Schulman_2004} and to CaM's regulation of the trafficking of both mGluR5 and EGFR \cite{Lee_2008, Tebar_2002}.

To determine whether CaM is required to maintain appropriate levels of Orco in OSN dendrites upon prolonged odor exposure, we first wanted to be sure prolonged odor exposure reduces dendritic levels of Orco.
We, therefore, used _Or22a-GAL4_ to drive expression of Orco<sup>WT</sup>, rescuing the _Orco<sup>1</sup>_ mutation only in ab3A neurons.
These flies also carried three copies of the temperature-sensitive _tub-GAL80<sup>ts</sup>_, allowing us to block their production of any new Orco expression by shifting the flies from 29ºC down to 18ºC (Fig. 4A).
When we stained "Orco ON" control flies raised continuously at 29ºC, we observed strong mCherry::Orco signal in both the cell bodies and dendrites of their ab3A neurons (Fig. 4B).
In contrast, the "Orco OFF" control, raised continously at 18ºC, showed absolutely no Orco signal at all (Fig. 4C), confirming the function of the GAL80 transgenes.
To see how odorant exposure affects dendritic Orco levels, we reared these flies at 29ºC to allow Orco expression.
Three days post-eclosion (PE), we moved the flies to either vials containing normal food or normal food plus a small perforated tube containing 10% ethyl butyrate (EB), which activates ab3A neurons.
We then moved both sets of vials to 18ºC to block additional Orco expression, visualizing Orco in both the cell bodies and dendrites 3 or 9 days later (Fig. 4A).
After 3 days in the absence of EB, Orco staining falls slightly in the ab3A OSN cell bodies and increases in the dendrites, presumably because Orco is being continuously shuttled out to the dendrites.
After 9 days in the absence of EB, while the ab3A cell bodies lack any Orco staining, some residual Orco remains in the dendrites (Fig. 4D).
Prolonged exposure to EB dramatically changes this picture.
After 3 days in the presence of EB, there is more Orco in the ab3A cell bodies and less in the dendrites.
After 9 days of EB exposure, the ab3A cell bodies still show significant Orco signal, but the dendrites are nearly empty (Fig. 4E).
Thus, extended odorant exposure seems to induce an internalization and perhaps degradation of Orco, depleting the OSN dendrites.