# Discussion
Although two previous studies provided some evidence that CaM modulates Orco activation and sensitization, they primarily relied on a non-odorant Orco agonist and pharmacological CaM inhibition in _in vitro_  and _ex vivo_ experiments \cite{Mukunda_2014, Mukunda_2016}.
Here, we uncovered a previously unknown role for Calmodulin in concert with Orco in the trafficking of insect ORs to the ciliated dendrites of olfactory sensory neurons _in vivo_.
We showed CaM knock-down in OSNs prior to their expression of ORs dramatically disrupts the dendritic trafficking of Orco, interfering with odor responsiveness (Fig. 1).
We next showed mutations in the putative Orco CBS completely block Orco and odor-specific OR trafficking (Fig. 2 and 3).

We found long-term odor exposure seems to induce the movement of dendritic Orco into the cell bodies, presumably by inducing receptor internalization and subsequent recycling or degradation (Fig. 4).
Since OSNs depleted of CaM after OR expression begins show very little change in odor sensitivity, we wondered if the reduction in dendritic Orco induced by long-term odor exposure would increase the demand for CaM-induced Orco trafficking and hence accentuate the effect of CaM knock-down.
Indeed, we found this to be the case; the combination of long-term odor exposure with CaM knock-down dramatically reduces odor sensitivity in an odor and OSN subtype-specific manner (Fig. 5).
This OSN activity-dependent reduction in odor sensitivity is, unsurprisingly, accompanied by a dramatic reduction in dendritic Orco localization (Fig. 6).
Thus, our results demonstrate a role for CaM in the dendritic trafficking of Orco/OR complexes.
This role for CaM is especially important when OSNs are subjected to prolonged odor exposure, because odor exposure seems to deplete dendritic Orco, necessitating the trafficking of additional Orco/OR complexes to the dendrites to maintain olfactory sensitivity.
In other words, our results suggest a model whereby OSNs are able to maintain optimal odor sensitivity despite two opposing forces continuously altering the abundance of dendritic ORs.
Strong OSN activation by odor reduces dendritic Orco/OR complexes, but the resulting CaM activation induces dendritic Orco/OR trafficking, making up for the loss.

Such an activity-dependent regulation of Orco trafficking during and after prolonged odor exposure seems more reasonable upon consideration of a fly's olfactory environment.
A fly searching for food first encounters very low concentrations of fruity esters emanating from a piece of rotting fruit.
The fly must then move through plumes of these odors, tracking their concentration gradients to their source.
This would involve repeated transient exposures to low but gradually increasing concentrations of odor.
Once the fly lands on a food source, however, it is immersed in much higher concentrations of odor that induce sensory adaptation and even central habituation.
These odor-specific reductions of both peripheral and central responsiveness are presumably important in allowing the fly to shift attention to other important olfactory stimuli, like potential mates or danger signals.
Peripheral sensitivity should not remain too low for too long, however, because this would prevent the fly from finding the same food source again if it were forced to briefly leave.
Thus, CaM's activity-dependence seems to ensure a steady flow of OR into dendrites that are being consistently activated.
It will be interesting to see whether CaM represents a key hub for the context-dependent modulation of olfactory sensitivity.
For example, activation of CaM-induced Orco/OR trafficking even in the absence of prolonged odor exposure may increase olfactory sensitivity to food odors when a fly is hungry, while its inhibition could reduce sensitivity to sex pheromones after mating.

Despite uncovering a new role for CaM in Orco trafficking, many unanswered questions remain.
We are curious, for example, whether proper dendritic trafficking of ORs requires signaling pathways and proteins other than CaM and Orco.
How do CaM and Orco work together with the highly conserved multi-protein IFT complexes that comprise the ciliary trafficking machinery?
How does CaM physically interact with Orco?
Does it bind continously or does it simply help deliver Orco to a specific subcellular location?
Does CaM enter the olfactory dendrites itself, and if so, does it have roles in _in vivo_ Orco modulation apart from its effect on trafficking?
Answers to these and more questions await further experiments, but ataining some of these answers will likely require the development of novel heterologous systems that more closely resemble the highly specialized microenvironment of the insect OSNs.
We hope our contribution to a clearer understanding of dendritic OR trafficking will help push us forward toward this goal.